Debian Bug report logs - #658948
cvs2html: Uses perl4 corelibs without Depends

version graph

Package: cvs2html; Maintainer for cvs2html is Debian QA Group <packages@qa.debian.org>; Source for cvs2html is src:cvs2html.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 21:33:21 UTC

Severity: normal

Found in version cvs2html/1.98-2

Fixed in version cvs2html/1.98-3

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julián Moreno Patiño <darkjunix@gmail.com>:
Bug#658948; Package cvs2html. (Mon, 06 Feb 2012 21:33:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Julián Moreno Patiño <darkjunix@gmail.com>. (Mon, 06 Feb 2012 21:33:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: cvs2html: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 21:30:28 +0000
Package: cvs2html
Version: 1.98-2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#658948; Package cvs2html. (Tue, 07 Feb 2012 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julián Moreno Patiño <darkjunix@gmail.com>:
Extra info received and forwarded to list. (Tue, 07 Feb 2012 06:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 658948@bugs.debian.org (full text, mbox):

From: Julián Moreno Patiño <darkjunix@gmail.com>
To: Dominic Hargreaves <dom@earth.li>, 658948@bugs.debian.org
Subject: Re: Bug#658948: cvs2html: Uses perl4 corelibs without Depends
Date: Tue, 7 Feb 2012 01:07:45 -0500
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

I orphaned it some time ago[0], feel free to do the NMU.

[0] http://bugs.debian.org/641785

Kind regards,

- --
Julián Moreno Patiño
 .''`. Debian GNU/{Linux,KfreeBSD}
: :' : Free Operating Systems
`. `'  http://debian.org/
  `-   PGP KEY ID 6168BF60
Registered GNU Linux User ID 488513
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJPML9tAAoJENX9/BVhaL9ggSkP/2dktT6hdtWym2IdSzJny2tX
mOgBBmv5DSjGdD4zZ0xRYS3Ul0pKjOP4NVl92eDS0FTnRbM3lf6oqRKuZbp4uzEA
8tfXtCsETMD19gln0CrZAXcYUUCRqlvCnzSAFo0gi9m7OVzSMiIg8WfjVgrTjqTK
uh4Z1rDjIDO2+Wx1ophyVrUsa9bq5+yA/E+GL+J9V1nQ6oRBCMaUr+YMPcI8dQmT
wasRewcsJ1ENcTQH3vtNu54eRTSfWtkXDseufMyQyeiebC8MT0ax4VCmQazC2lnf
buXLWt4uVG9pq1roQuNyGp/6bzqFQcrJCg1r5ZUJWVahvCxhcIrXUJ3vOJrB7moN
CnEYI5hbWDoXad1YnYgvKzDDK6MwPtnZNpgDDa1dHhCC/uOYnUGCb8YrM7frXj84
LzCj3CxtKgGayY9qrvpHzSAGo9E68oYZohB7j3XiqQWfWb8V/nzUa8vpzwBl/Hyh
Sej3cKE1+KFkw9C7ReQiUvzvCVLqMJYKDm/oE02HbiTBVk56UdlS2o0Cc0m2nrVq
FlrsWRBgESFtgOpuCGh96Y2yZILRrqWRrsDyY2DxNCbZTlQYHB5qu5y21RE2rGPN
74Gx++J4KQg3cR5yWJTWzNfXZdg62r7KT+wGY0KMWzmFQy54HvjeQ/HZ6nbtPeZV
X3sJ5wHHe/C9da1gyi79
=232s
-----END PGP SIGNATURE-----
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Julián Moreno Patiño <darkjunix@gmail.com>:
Bug#658948; Package cvs2html. (Tue, 07 Feb 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Julián Moreno Patiño <darkjunix@gmail.com>. (Tue, 07 Feb 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 658948@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julián Moreno Patiño <darkjunix@gmail.com>
Cc: 658948@bugs.debian.org
Subject: Re: Bug#658948: cvs2html: Uses perl4 corelibs without Depends
Date: Tue, 7 Feb 2012 19:55:02 +0000
On Tue, Feb 07, 2012 at 01:07:45AM -0500, Julián Moreno Patiño wrote:
> I orphaned it some time ago[0], feel free to do the NMU.
> 
> [0] http://bugs.debian.org/641785

Thanks, done.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Tue, 07 Feb 2012 21:09:18 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 07 Feb 2012 21:09:25 GMT) Full text and rfc822 format available.

Message #20 received at 658948-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658948-close@bugs.debian.org
Subject: Bug#658948: fixed in cvs2html 1.98-3
Date: Tue, 07 Feb 2012 21:05:45 +0000
Source: cvs2html
Source-Version: 1.98-3

We believe that the bug you reported is fixed in the latest version of
cvs2html, which is due to be installed in the Debian FTP archive:

cvs2html_1.98-3.debian.tar.bz2
  to main/c/cvs2html/cvs2html_1.98-3.debian.tar.bz2
cvs2html_1.98-3.dsc
  to main/c/cvs2html/cvs2html_1.98-3.dsc
cvs2html_1.98-3_all.deb
  to main/c/cvs2html/cvs2html_1.98-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658948@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated cvs2html package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Feb 2012 19:53:10 +0000
Source: cvs2html
Binary: cvs2html
Architecture: source all
Version: 1.98-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 cvs2html   - create HTML versions of CVS logs
Closes: 658948
Changes: 
 cvs2html (1.98-3) unstable; urgency=low
 .
   * QA upload.
   * Set Maintainer to Debian QA Group
   * Depend on libperl4-corelibs-perl (Closes: #658948)
   * Update Standards-Version (no changes)
   * Remove long-obsolete dependency on perl5
Checksums-Sha1: 
 f708b044326ce013f203a29d96f45ff17ce25a18 1059 cvs2html_1.98-3.dsc
 035ef13d82eb6aed1898f16776fd0e763145c4b8 6841 cvs2html_1.98-3.debian.tar.bz2
 aea508e68351bceed8dc56a21125fd44adf5d157 25432 cvs2html_1.98-3_all.deb
Checksums-Sha256: 
 2b42eb609613a7f26c2f806631cb07cd83d220e16d17558fd1f316459f01e0db 1059 cvs2html_1.98-3.dsc
 05b6b488d1f9d062a6f709364e0db4a8197bc5cd72f7b05848e1bb8222f893b7 6841 cvs2html_1.98-3.debian.tar.bz2
 665207113425d92f36323772d716f3e5369b5124f2959517f3533bafeff08809 25432 cvs2html_1.98-3_all.deb
Files: 
 eeafef7e51814a99ce396653345ca047 1059 vcs optional cvs2html_1.98-3.dsc
 a4070458879fe3b98d532b50504f419b 6841 vcs optional cvs2html_1.98-3.debian.tar.bz2
 1c4fb75d7d6fb08fca896fed9d4ee4da 25432 vcs optional cvs2html_1.98-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPMYFOYzuFKFF44qURAnm0AKDUWEXI8gu0UXz+jHxziHk0VdP+6QCfc7jW
sjjVfvm51oOWgOXvI/QAwak=
=HP7L
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:38:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:39:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.